%bcond_with base_python

%define python_build_version 3.9
%define __python %{_bindir}/python%{python_build_version}

%if %{with base_python}
%define python_suffix %{expand:%%{lua: str='%{python_build_version}'; print(str:sub(1, 1))}}
%else
%define python_suffix %{expand:%%{lua: str='%{python_build_version}'; print(str:sub(1, 1) .. str:sub(3,-1))}}
%endif

%define pypi_name scikit-learn

Name: python%{python_suffix}-%{pypi_name}
Version: 1.0.1
Release: 1
License: BSD-3-Clause
Summary: Machine learning in Python
Url: https://scikit-learn.org/
Source0: https://files.pythonhosted.org/packages/source/s/%{pypi_name}/%{pypi_name}-%{version}.tar.gz

BuildRequires: blas-devel >= 3.8.0
BuildRequires: cblas-devel >= 3.8.0
BuildRequires: lapack-devel >= 3.8.0
BuildRequires: lapacke-devel >= 3.8.0
BuildRequires: gcc-gfortran
BuildRequires: python%{python_suffix}-devel
BuildRequires: python%{python_suffix}-pip

BuildRequires: python%{python_suffix}-numpy > 1.15.0
BuildRequires: python%{python_suffix}-scipy >= 1.1.0
BuildRequires: python%{python_suffix}-joblib
BuildRequires: python%{python_suffix}-threadpoolctl
BuildRequires: python%{python_suffix}-cython >= 0.29.24

Requires: python%{python_suffix}-numpy > 1.15.0
Requires: python%{python_suffix}-scipy >= 1.1.0
Requires: python%{python_suffix}-joblib
Requires: python%{python_suffix}-threadpoolctl

%description
scikit-learn is a Python module for machine learning built on top of SciPy.

%prep

%setup -q -n %{pypi_name}-%{version}

%build

%py_build_wheel

%install

%py_install_wheel scikit_learn-%{version}-cp%{python_version_nodots}-cp%{python_version_nodots}-os400_powerpc64.whl

sed -i 's|pip|rpm|g' %{buildroot}%{python_sitelib}/*.dist-info/INSTALLER

%files
%defattr(-, qsys, *none)

%license COPYING

%{python_sitelib}/sklearn
%{python_sitelib}/scikit_learn-%{version}.dist-info

%changelog
* Thu Dec 09 2021 Abdirahim Musse <abdirahim.musse@ibm.com> - 1.0.1
- Update to 1.0.1

* Tue Jun 22 2021 Kevin Adler <kadler@us.ibm.com> - 0.19.1
- Port to Python 3.9
- Use macros from python-rpm-macros

* Fri Feb 05 2021 Kevin Adler <kadler@us.ibm.com>
- Use correct fortran buildrequires

* Tue Jul 28 2020 Mark Irish <mirish@ibm.com> - 0.19.1
- Correct URL to use HTTPS to avoid permanent HTTP redirect

* Thu Jan 17 2019 - Xu Meng <mengxumx@cn.ibm.com>
- change to use shared blas/lapack libs (#109)

* Thu Jan 03 2019 - Kevin Adler <kadler@us.ibm.com>
- Ensure necessary dependencies are listed
- Update description and use SPDX license

* Sun Aug 05 2018 - Kevin Adler <kadler@us.ibm.com>
- Set INSTALLER to be "rpm" instead of "pip"
- Add --no-index to pip, so it doesn't attempt to connect to the internet

* Fri Aug 03 2018 - Kevin Adler <kadler@us.ibm.com>
- Clean up

* Thu Aug 02 2018 - Kevin Adler <kadler@us.ibm.com>
- Remove unneeded setuptools and wheel build requirements

* Tue Jul 31 2018 - Xu Meng <mengxumx@cn.ibm.com>
- fix sklearn missing build dep - scipy

* Fri Jul 13 2018 - Xu Meng <mengxumx@cn.ibm.com>
- build sklearn from source

* Fri Jun 22 2018 - Xu Meng <mengxumx@cn.ibm.com>
- fix directory conflict issue

* Fri Jun 22 2018 - Xu Meng <mengxumx@cn.ibm.com>
- Add scikit-learn for machine learning
